from connect import *

# Dynamic MLC movement
# constant MLC opening
# for plan with 24 degrees rotation, 
# CP at ever 4th degree --> 7 segments/CP

plan = get_current("Plan")  
beam_set = get_current("BeamSet")

def CheckMLCLimit(beam_set):

    CurrentBeam = 0
    Beams = beam_set.Beams.Count            #vanligvis 2 beams

    while Beams > CurrentBeam:

        SegmentCount = beam_set.Beams[CurrentBeam].Segments.Count
        SCounter = 0

#set values of wanted MLC opening and travel distance:
        opening = 2
        o = opening*0.5
        MLC_travel_distance = s = 2

        while SCounter < SegmentCount:

            beamset = plan.BeamSets[0]
            LP = LPL = beamset.Beams[CurrentBeam].Segments[SCounter].LeafPositions

            if SCounter < 1:
                for i in range (0 , LP[0].Count-1):
                    LP[0][i] = -o+3*s
                    LP[1][i] = o+3*s
            if SCounter > 0:
                for i in range (0 , LP[0].Count-1):
                    LP[0][i] = -o+2*s
                    LP[1][i] = o+2*s
            if SCounter > 1:
                for i in range (0 , LP[0].Count-1):
                    LP[0][i] = -o+s
                    LP[1][i] = o+s
            if SCounter > 2:
                for i in range (0 , LP[0].Count-1):
                    LP[0][i] = -o
                    LP[1][i] = o
            if SCounter > 3:
                for i in range (0 , LP[0].Count-1):
                    LP[0][i] = -o-s
                    LP[1][i] = o-s
            if SCounter > 4:
                for i in range (0 , LP[0].Count-1):
                    LP[0][i] = -o-2*s
                    LP[1][i] = o-2*s
            if SCounter > 5:
                for i in range (0 , LP[0].Count-1):
                    LP[0][i] = -o-3*s
                    LP[1][i] = o-3*s

            print "The value of Segment Counter is {0}".format(SCounter) 

#Write the modifications back to the LeafPosition object 
            LP = beamset.Beams[CurrentBeam].Segments[SCounter].LeafPositions = LP
            SCounter += 1

        CurrentBeam += 1    

print CheckMLCLimit(get_current('BeamSet'))

#print beam_set.Beams[0].Segments[5].LeafPositions[0][20]
