from connect import *

# for plan with 24 degrees rotation, 
# CP at ever 4th degree --> 7 segments/CP
# Left leaf bank: 3 -> -1 -> 1 -> -1 -> -5 -> -3 -> -7 = 18 cm travel distance = 3.0 cm/4deg, STD = 1.00 cm
# Right leaf bank: 7 -> 2 -> 3 ->  1 -> 2 -> -2 -> -6 = 17 cm travel distance = 2.83 cm/4deg, STD = 1.57 cm

plan = get_current("Plan")  
beam_set = get_current("BeamSet")

def CheckMLCLimit(beam_set):

    CurrentBeam = 0
    Beams = beam_set.Beams.Count            #vanligvis 2 beams

    while Beams > CurrentBeam:

        SegmentCount = beam_set.Beams[CurrentBeam].Segments.Count
        SCounter = 0

        while SCounter < SegmentCount:

            beamset = plan.BeamSets[0]
            LP = LPL = beamset.Beams[CurrentBeam].Segments[SCounter].LeafPositions

            if SCounter < 1:
                for i in range (0 , LP[0].Count-1):
                    LP[0][i] = 3.0
                    LP[1][i] = 7.0
            if SCounter > 0:
                for i in range (0 , LP[0].Count-1):
                    LP[0][i] = -1.0
                    LP[1][i] = 2.0
            if SCounter > 1:
                for i in range (0 , LP[0].Count-1):
                    LP[0][i] = 1.0
                    LP[1][i] = 3.0
            if SCounter > 2:
                for i in range (0 , LP[0].Count-1):
                    LP[0][i] = -1.0
                    LP[1][i] = 1.0
            if SCounter > 3:
                for i in range (0 , LP[0].Count-1):
                    LP[0][i] = -5.0
                    LP[1][i] = 2.0
            if SCounter > 4:
                for i in range (0 , LP[0].Count-1):
                    LP[0][i] = -3.0
                    LP[1][i] = -2.0
            if SCounter > 5:
                for i in range (0 , LP[0].Count-1):
                    LP[0][i] = -7.0
                    LP[1][i] = -6.0

            print "The value of Segment Counter is {0}".format(SCounter) 

			#Write the modifications back to the LeafPosition object 
            LP = beamset.Beams[CurrentBeam].Segments[SCounter].LeafPositions = LP
            SCounter += 1

        CurrentBeam += 1    

print CheckMLCLimit(get_current('BeamSet'))
