from connect import *

# creation of a test-plan to check the T&G scripts

plan = get_current("Plan")  
beam_set = get_current("BeamSet")

def CheckMLCLimit(beam_set):

    CurrentBeam = 0
    Beams = beam_set.Beams.Count

    while Beams > CurrentBeam:

        SegmentCount = beam_set.Beams[CurrentBeam].Segments.Count
        SCounter = 0

        while SCounter < SegmentCount:

            beamset = plan.BeamSets[0]
            LP = LPL = beamset.Beams[CurrentBeam].Segments[SCounter].LeafPositions

            if CurrentBeam % 2 == 0:
                for i in range (10 , 20, 2):
                    if i % 4 == 0:
                        LP[0][i] = -7.0
                        LP[1][i] = -4.0
                        LP[0][i+1] = -1.0
                        LP[1][i+1] = 2.0
                for i in range (20 , 30, 2):
                    if i % 4 == 0:
                        LP[0][i] = -5.0
                        LP[1][i] = -1.0
                        LP[0][i+1] = -3.0
                        LP[1][i+1] = -2.0
                    else:
                        LP[0][i] = -2.0
                        LP[1][i] = 5.0
                        LP[0][i+1] = -10.0
                        LP[1][i+1] = -6.0
                for i in range (30 , 40, 2):
                    if i % 4 == 0:
                        LP[0][i] = 9.0
                        LP[1][i] = 10.0
                        LP[0][i+1] = 9.0
                        LP[1][i+1] = 10.0
                    else:
                        LP[0][i] = -10.0
                        LP[1][i] = 10.0
                        LP[0][i+1] = -10.0
                        LP[1][i+1] = 10.0

                for i in range (40 , 50, 2):
                    if i % 4 == 0:
                        LP[0][i] = 9.0
                        LP[1][i] = 10.0
                        LP[0][i+1] = 9.0
                        LP[1][i+1] = 10.0
                    else:
                        LP[0][i] = -10.0
                        LP[1][i] = 0.0
                        LP[0][i+1] = -10.0
                        LP[1][i+1] = 0.0

                for i in range (50 , LP[0].Count-4, 2):
                    if i % 4 == 0:
                        LP[0][i] = -7.0
                        LP[1][i] = -4.0
                        LP[0][i+1] = -1.0
                        LP[1][i+1] = 5.0
                    else:
                        LP[0][i] = -10.0
                        LP[1][i] = 9.0
                        LP[0][i+1] = -10.0
                        LP[1][i+1] = 9.0

            else:
                for i in range (10 , LP[0].Count-2, 2):
                    if i % 4 == 0:
                        LP[0][i+3] = -10.0
                        LP[1][i+3] = -9.0
                        LP[0][i+2] = -10.0
                        LP[1][i+2] = -9.0
                    else:
                        LP[0][i+3] = -10.0
                        LP[1][i+3] = 10.0
                        LP[0][i+2] = -10.0
                        LP[1][i+2] = 10.0

            print "Value of the Segment Counter is {0}".format(SCounter)
			#Write the modifications back to the LeafPosition object	
            LP = beamset.Beams[CurrentBeam].Segments[SCounter].LeafPositions = LP
            SCounter += 1

        CurrentBeam += 1    

print CheckMLCLimit(get_current('BeamSet'))
